Name:                seahorse
Version:             43.0
Release:             1
Summary:             A GNOME application for managing encryption keys
License:             GPLv2+ and LGPLv2+
URL:                 https://wiki.gnome.org/Apps/Seahorse
Source:              https://download.gnome.org/sources/%{name}/43/%{name}-%{version}.tar.xz

# https://github.com/GNOME/seahorse/commit/9260c74779be3d7a378db0671af862ffa3573d42
Patch0:              Allow-building-with-GnuPG-2.4.x.patch

BuildRequires:       pkgconfig(avahi-client) pkgconfig(avahi-glib) pkgconfig(gio-2.0)
BuildRequires:       pkgconfig(gck-1) pkgconfig(gcr-3) pkgconfig(gtk+-3.0)
BuildRequires:       pkgconfig(libsecret-unstable) pkgconfig(libsoup-3.0) desktop-file-utils gettext
BuildRequires:       gpgme-devel >= 1.0 gnupg2 itstool libSM-devel meson openldap-devel
BuildRequires:       openssh-clients vala /usr/bin/appstream-util
BuildRequires:       pkgconfig(libhandy-1) pkgconfig(pwquality) docbook-style-xsl
BuildRequires:       /usr/bin/xsltproc
Requires:            pinentry-gui
Obsoletes:           seahorse-devel < 3.1.4-2
Obsoletes:           seahorse-plugins < 2.91.6-0.8
Obsoletes:           seahorse < 3.1.4
%description
Seahorse is a graphical interface for managing and using encryption keys. Currently it supports
PGP keys (using GPG/GPGME) and SSH keys. Its goal is to provide an easy to use Key Management Tool,
along with  an easy to use interface  for encryption  operations.

%prep
%autosetup -n seahorse-%{version} -p1

%build
%meson -Dmanpage=true
%meson_build
find . -type f -name "*.c" -exec chmod a-x {} ';'

%install
%meson_install
%find_lang seahorse --with-gnome --all-name

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*.appdata.xml
desktop-file-validate %{buildroot}/%{_datadir}/applications/org.gnome.seahorse.Application.desktop

%files -f seahorse.lang
%license COPYING*
%doc NEWS README.md
%{_bindir}/*
%{_libexecdir}/seahorse/
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.seahorse.Application.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.seahorse.Application-symbolic.svg
%{_datadir}/dbus-1/services/org.gnome.seahorse.Application.service
%{_datadir}/{glib-2.0/schemas/*.gschema.xml,metainfo/*.appdata.xml}
%dir %{_datadir}/gnome-shell/
%dir %{_datadir}/gnome-shell/search-providers/
%{_datadir}/gnome-shell/search-providers/seahorse-search-provider.ini
%{_datadir}/seahorse/
%{_mandir}/man1/*.1*

%changelog
* Fri Aug 25 2023 yaoxin <yao_xin001@hoperun.com> - 43.0-1
- Update to 43.0

* Thu Jul 20 2023 yaoxin <yao_xin001@hoperun.com> - 41.0-2
- Fix build error caused by gnupg2 update to 2.4.3

* Fri Apr 8 2022 yaoxin <yaoxin30@huawei.com> - 41.0-1
- Resolve compilation failures

* Wed Jul 29 2020 lingsheng <lingsheng@huawei.com> - 3.30.1.1-3
- fix build fail: gkr use 0 on empty flags

* Wed May 13 2020 yanan li <liyanan032@huawei.com> - 3.30.1.1-2
- Package init
